# Conversor Nóminas Bancos Chile

Este programa convierte nóminas de transferencias con formato Banco BCI al resto de formatos de Bancos, en Chile. Se toma como referencia el formato del Banco BCI porque es en excel, es simple, y contiene todos los datos necesarios.

Se debe tener en cuenta lo siguiente:
* Se requiere crear un archivo excel con los datos de las cuentas corrientes de las empresas desde donde se realizarán las transferencias, se puede llamar "datos_empresas.xlsx" y tiene el siguiente formato:
* Está pendiente implementar la transformación de nóminas a otros bancos que no sean Banco de Chile, Santander, BICE.

| razonsocial                              | razonsocial_abreviatura   | rut         |   banco_codigo |   cuenta_num | convenios_pagos_masivos_bancochile                |
|:-----------------------------------------|:--------------------------|:------------|---------------:|-------------:|:--------------------------------------------------|
| Distribuidora de Alimentos El Abasto     | abasto                    | 762345312-2 |             37 |   9203874981 | no_aplica                                         |
| Constructora Los Andes S.A.              | losandes                  | 987654321-1 |              1 |    150983062 | 811 - Pago remuneraciones, 812 - Pago proveedores |
| Tiendas de Moda Elegance Limitada        | elegance                  | 156789013-3 |              1 |    820018739 | 812 - Pago proveedores                            |
| Comercializadora de productos de belleza | belleza                   | 230912837-4 |              1 |    240684902 | 812 - Pago proveedores                            |
| Tecnología e Innovación S.A.             | tecinnova                 | 165432198-7 |              1 |    410576930 | no_aplica                                         |
| Servicios de Limpieza Industrial S.A.    | limpind                   | 875432019-0 |             28 |    783095017 | no_aplica                                         |
| Consultora Empresarial Integrar Limitada | integrar                  | 782356789-2 |             28 |    370280064 | no_aplica                                         |
| Inmobiliaria Santa María Limitada        | santamaria                | 245632189-5 |              1 |    690128047 | 813 – Pago remuneraciones                         |


**EJEMPLO (INPUT)**:
El programa recibe como input un excel de una nómina de transferencias en formato BCI, a continuación se muestra un ejemplo.
|   Nº Cuenta de Cargo |   Nº Cuenta de Destino |   Banco Destino |   Rut Beneficiario |   Dig. Verif. Beneficiario | Nombre Beneficiario                                   |   Monto Transferencia | Nro.Factura Boleta (1)   | Nº Orden de Compra(1)   | Tipo de Pago(2)   | Mensaje Destinatario (3)   | Email Destinatario(3)   | Cuenta Destino inscrita como(4)                       |
|---------------------:|-----------------------:|----------------:|-------------------:|---------------------------:|:------------------------------------------------------|----------------------:|:-------------------------|:------------------------|:------------------|:---------------------------|:------------------------|:------------------------------------------------------|
|             61668097 |              921260633 |              49 |           76620874 |                          5 | Seguridad Integral Argentum Spa                       |               4550000 |                          |                         | OTR               | PFMQ FC 622                | mail@argentum.cl        | Seguridad Integral Argentum Spa                       |
|             61668097 |              921260633 |              49 |           76620874 |                          5 | Seguridad Integral Argentum Spa                       |               3420000 |                          |                         | OTR               | PFMQ FC 623                | mail@argentum.cl        | Seguridad Integral Argentum Spa                       |
|             61668097 |             2000840603 |               1 |           76598013 |                          4 | Servicios de Ingeniería y Desarrollo Tecnológico Ltda |                449012 |                          |                         | OTR               | PFGV FC 4636               | mail@idt.cl             | Servicios de Ingeniería y Desarrollo Tecnológico Ltda |
|             61668097 |               86404461 |              37 |           76872450 |                          3 | SICASA SPA                                            |                 59500 |                          |                         | OTR               | PFLI FC 42                 | mail@sicasa.cl          | SICASA SPA                                            |
|             61668097 |               68398852 |              37 |           76314592 |                          2 | Transportes Ayarza                                    |               2385152 |                          |                         | OTR               | PFLI FC 21871              | mail@ayarza.cl          | Transportes Ayarza                                    |
|             61668097 |               68398852 |              37 |           76314592 |                          2 | Transportes Ayarza                                    |               1224520 |                          |                         | OTR               | PFGV FC 21872              | mail@ayarza.cl          | Transportes Ayarza                                    |
|             61668097 |               68398852 |              37 |           76314592 |                          2 | Transportes Ayarza                                    |               1983190 |                          |                         | OTR               | PFLI FC 21922              | mail@ayarza.cl          | Transportes Ayarza                                    |
|             61668097 |             1316774505 |               1 |           76963428 |                          3 | Discentrado SA                                        |                321550 |                          |                         | OTR               | PFIN FC 1022608            | mail@discentrado.cl     | Discentrado SA                                        |
|             61668097 |             1316774505 |               1 |           76963428 |                          3 | Discentrado SA                                        |                 27370 |                          |                         | OTR               | PFIN FC 1022700            | mail@discentrado.cl     | Discentrado SA                                        |
|             61668097 |             1316774505 |               1 |           76963428 |                          3 | Discentrado SA                                        |                 39496 |                          |                         | OTR               | PFIN FC 1022760            | mail@discentrado.cl     | Discentrado SA                                        |


**EJEMPLO (OUTPUT)**:
El programa entrega como output un archivo excel, csv o de texto plano según el formato requerido por el banco. Se muestra a continuación la nómina anterior transformada para que pueda ser subida al Banco Santander

|   Cta_origen | moneda_origen   |   Cta_destino | moneda_destino   |   Cod_banco |   RUT benef. | nombre benef.                                         |   Mto Total | Glosa TEF       | Correo              | Glosa correo    | Glosa Cartola Cliente   | Glosa Cartola Beneficiario   | Glosa Cliente   |
|-------------:|:----------------|--------------:|:-----------------|------------:|-------------:|:------------------------------------------------------|------------:|:----------------|:--------------------|:----------------|:------------------------|:-----------------------------|:----------------|
|   9203874981 | CLP             |     921260633 | CLP              |          49 |    766208745 | Seguridad Integral Argentum Spa                       |     4550000 | PFMQ FC 622     | mail@argentum.cl    | PFMQ FC 622     |                         | PFMQ FC 622                  | PFMQ FC 622     |
|   9203874981 | CLP             |     921260633 | CLP              |          49 |    766208745 | Seguridad Integral Argentum Spa                       |     3420000 | PFMQ FC 623     | mail@argentum.cl    | PFMQ FC 623     |                         | PFMQ FC 623                  | PFMQ FC 623     |
|   9203874981 | CLP             |    2000840603 | CLP              |           1 |    765980134 | Servicios de Ingeniería y Desarrollo Tecnológico Ltda |      449012 | PFGV FC 4636    | mail@idt.cl         | PFGV FC 4636    |                         | PFGV FC 4636                 | PFGV FC 4636    |
|   9203874981 | CLP             |      86404461 | CLP              |          37 |    768724503 | SICASA SPA                                            |       59500 | PFLI FC 42      | mail@sicasa.cl      | PFLI FC 42      |                         | PFLI FC 42                   | PFLI FC 42      |
|   9203874981 | CLP             |      68398852 | CLP              |          37 |    763145922 | Transportes Ayarza                                    |     2385152 | PFLI FC 21871   | mail@ayarza.cl      | PFLI FC 21871   |                         | PFLI FC 21871                | PFLI FC 21871   |
|   9203874981 | CLP             |      68398852 | CLP              |          37 |    763145922 | Transportes Ayarza                                    |     1224520 | PFGV FC 21872   | mail@ayarza.cl      | PFGV FC 21872   |                         | PFGV FC 21872                | PFGV FC 21872   |
|   9203874981 | CLP             |      68398852 | CLP              |          37 |    763145922 | Transportes Ayarza                                    |     1983190 | PFLI FC 21922   | mail@ayarza.cl      | PFLI FC 21922   |                         | PFLI FC 21922                | PFLI FC 21922   |
|   9203874981 | CLP             |    1316774505 | CLP              |           1 |    769634283 | Discentrado SA                                        |      321550 | PFIN FC 1022608 | mail@discentrado.cl | PFIN FC 1022608 |                         | PFIN FC 1022608              | PFIN FC 1022608 |
|   9203874981 | CLP             |    1316774505 | CLP              |           1 |    769634283 | Discentrado SA                                        |       27370 | PFIN FC 1022700 | mail@discentrado.cl | PFIN FC 1022700 |                         | PFIN FC 1022700              | PFIN FC 1022700 |
|   9203874981 | CLP             |    1316774505 | CLP              |           1 |    769634283 | Discentrado SA                                        |       39496 | PFIN FC 1022760 | mail@discentrado.cl | PFIN FC 1022760 |                         | PFIN FC 1022760              | PFIN FC 1022760 |